const paragraphCloser = "</p>";
const paragraphStarter = `<p align="center">`;
async function readDescriptionFromReadme(getReadme) {
  const readme = await getReadme();
  const paragraphStart = readme.indexOf(paragraphStarter);
  if (paragraphStart === -1) {
    return void 0;
  }
  const paragraphEnd = readme.indexOf(paragraphCloser);
  if (paragraphEnd < paragraphStart + paragraphStarter.length + 2) {
    return void 0;
  }
  return readme.slice(paragraphStart + paragraphStarter.length, paragraphEnd).replaceAll(/\s+/gu, " ").trim();
}
export {
  readDescriptionFromReadme
};
